List Closing Notes
GET
/space/closing_notes
const url = 'https://api.aelyst.ai/v1/space/closing_notes?limit=10';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.aelyst.ai/v1/space/closing_notes?limit=10' \ --header 'Authorization: Bearer <token>'Get a list of all the closing notes in the workspace.
The response is sorted by category.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
Number of items to return i.e. page size.
cursorId
integer
Pointer to the contact id from where the next batch of records should start from.
Responses
Section titled “Responses”Media typeapplication/json
object
items
Array<object>
object
category
required
The name of category you have created.
string
description
string
pagination
object
next
required
string
previous
required
string
Example
{ "items": [ { "category": "Order Issue", "description": "Conversation dealt with issues related to a specific order." } ], "pagination": { "next": "https://api.aelyst.ai/space/closing_notes?limit=10&cursorId=10", "previous": "https://api.aelyst.ai/space/closing_notes?limit=10&cursorId=-10" }}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 400, "message": "Validation error."}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 401, "message": "UN_AUTHORIZED"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 429, "message": "Too Many Requests"}Headers
Section titled “Headers”Retry-After
number
Example
1Number of seconds until you can retry the request
X-RateLimit-Limit
number
Example
10Number of request allowed for this end point
X-RateLimit-Remaining
number
Example
5Number of request remaining for this end point
Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 500, "message": "Unexpected error occurred"}